package com.wms.constants.enums;

/**
 * 库存状态枚举
 */
public enum StockStatus {
    OK(0, "库存正常"),
    OUT(1, "出库中"),
    INVENTORY(2, "盘点中"),
    MOVE(3, "移库中"),
    PICKING(4, "拣选中"),
    BACK(5, "回库中"),
    LOCK(9, "库存锁定");

    private final Integer code;

    private final String value;

    StockStatus(Integer code, String value) {
        this.code = code;
        this.value = value;
    }

    public Integer getCode() {
        return code;
    }

    public String getValue() {
        return value;
    }
}
